Bug 529831 - Review Request: opensips - Open Source SIP Server
Summary: Review Request: opensips - Open Source SIP Server
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-20 11:13 UTC by John Khvatov
Modified: 2015-03-28 18:39 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-11-03 13:12:51 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description John Khvatov 2009-10-20 11:13:26 UTC
Spec URL: http://dev.sgu.ru/fedora/opensips.spec
SRPM URL: http://dev.sgu.ru/fedora/opensips-1.6.0-1.fc11.src.rpm
Description:
OpenSIPS or Open SIP Server is a very fast and flexible SIP (RFC3261)
proxy server. Written entirely in C, opensips can handle thousands calls
per second even on low-budget hardware. A C Shell like scripting language
provides full control over the server's behaviour. It's modular
architecture allows only required functionality to be loaded.
Currently the following modules are available: digest authentication,
CPL scripts, instant messaging, MySQL and UNIXODBC support, a presence agent,
radius authentication, record routing, an SMS gateway, a jabber gateway, a
transaction and dialog module, OSP module, statistics support,
registrar and user location.

Comment 1 Peter Lemenkov 2009-10-28 15:16:58 UTC
I'll review it.

Comment 2 Peter Lemenkov 2009-10-28 16:15:46 UTC
Ok, the package's spec file based on our good old spec-file for OpenSER, so it's in a good shape already.

Koji scratchbuilds for F-11
http://koji.fedoraproject.org/koji/taskinfo?taskID=1774672 (builds fine)
and for EL-5:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1774682 (failed to resolve dependency on libmemcached-devel )


Sources, used to build package, are matching the upstream ones:

[petro@Sulaco SOURCES]$ sha256sum opensips-1.6.0-tls_src.tar.gz*
243b18c1160642355b72cd7279b7c282e24592497276c400d72f14b61a1ae5ba  opensips-1.6.0-tls_src.tar.gz
243b18c1160642355b72cd7279b7c282e24592497276c400d72f14b61a1ae5ba  opensips-1.6.0-tls_src.tar.gz.1
[petro@Sulaco SOURCES]$

Ok, here is my 

REVIEW:

- rpmlint is not silent:

[petro@Workplace tmp]$ rpmlint *
opensips.i586: E: non-standard-dir-perm /etc/opensips 0750
opensips.i586: E: non-standard-dir-perm /etc/opensips/tls/rootCA/certs 0750
opensips.i586: E: non-readable /etc/opensips/osipsconsolerc 0640
opensips.i586: E: non-readable /etc/opensips/opensipsctlrc 0640
opensips.i586: E: non-readable /etc/opensips/opensips.cfg 0640
opensips.i586: E: non-standard-dir-perm /etc/opensips/tls/rootCA/private 0750
opensips.i586: E: non-standard-dir-perm /etc/opensips/tls/user 0750
opensips.i586: E: non-standard-dir-perm /etc/opensips/tls 0750
opensips.i586: E: non-standard-dir-perm /etc/opensips/tls/rootCA 0750
opensips.i586: E: malformed-line-in-lsb-comment-block # 	SIP (RFC3261) server.
opensips.i586: W: missing-lsb-keyword Required-Stop in /etc/rc.d/init.d/opensips
opensips.i586: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/opensips
opensips-memcached.i586: W: summary-not-capitalized memcached connector
opensips-presence_xcapdiff.i586: W: no-documentation
41 packages and 0 specfiles checked; 10 errors, 4 warnings.
[petro@Workplace tmp]$

We may ignore non-standard-dir-perm and non-readable messages - we do want to hide the contents of affected files and directories from strangers. Also, we may ignore no-documentation message, but I'm sure, you should fix malformed-line-in-lsb-comment-block and summary-not-capitalized, at least.

+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec  .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license. 

- The file, containing the text of the license(s) for the package, must be included in %doc.

+ The spec file must be written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
+ The package does NOT bundle copies of system libraries.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ The package does NOT contain any .la libtool archives.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
+ All filenames in rpm packages are valid UTF-8.


So, please

* fix rpmling messages
* add COPYING to %doc (also consider adding CREDITS)

and I'll continue.

Comment 3 John Khvatov 2009-10-29 11:54:19 UTC
1.6.0-2 changelog:
- Added patch for init script to fix malformed comment block
- Added COPYING file
- Fixed not-capitalized not-capitalized summory of memcached subpackage

SPEC: http://dev.sgu.ru/fedora/opensips.spec
SRMP: http://dev.sgu.ru/fedora/opensips-1.6.0-2.fc11.src.rpm

Thanks.

Comment 4 Peter Lemenkov 2009-10-29 12:12:30 UTC
Great. I don't see other issues, so this package is

APPROVED.

Comment 5 John Khvatov 2009-11-02 10:18:50 UTC
New Package CVS Request
=======================
Package Name: opensips
Short Description: Open Source SIP Server
Owners: ivaxer
Branches: F-11 F-12
InitialCC:

Comment 6 Kevin Fenzi 2009-11-03 04:33:55 UTC
cvs done.

Comment 7 John Khvatov 2009-11-03 13:12:51 UTC
Builds fine. Submitting to updates.

Comment 8 Fedora Update System 2009-11-03 13:14:02 UTC
opensips-1.6.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/opensips-1.6.0-2.fc11

Comment 9 Fedora Update System 2009-11-04 12:13:45 UTC
opensips-1.6.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-11-17 15:32:06 UTC
opensips-1.6.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/opensips-1.6.0-4.fc12

Comment 11 Fedora Update System 2009-11-20 05:24:13 UTC
opensips-1.6.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 John Khvatov 2010-04-15 16:45:03 UTC
Package Change Request
======================
Package Name: opensips
New Branches: EL-5
Owners: ivaxer

Comment 13 Kevin Fenzi 2010-04-18 01:36:03 UTC
cvs done.

Comment 14 Fedora Update System 2010-04-18 08:24:11 UTC
opensips-1.6.2-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/opensips-1.6.2-2.el5

Comment 15 Fedora Update System 2010-05-06 00:51:21 UTC
opensips-1.6.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Peter Lemenkov 2015-03-09 06:48:55 UTC
Package Change Request
======================
Package Name: opensips
New Branches: epel7

Comment 17 Gwyn Ciesla 2015-03-09 13:29:22 UTC
No owner specified.

Comment 18 Peter Lemenkov 2015-03-09 13:33:44 UTC
(In reply to Jon Ciesla from comment #17)
> No owner specified.

Sorry! I thought it's nested from a cloned branch.

Package Change Request
======================
Package Name: opensips
New Branches: epel7
Owners: peter ivaxer

Comment 19 Gwyn Ciesla 2015-03-09 14:00:12 UTC
Git done (by process-git-requests).

Comment 20 Fedora Update System 2015-03-10 15:27:55 UTC
opensips-1.10.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/opensips-1.10.3-1.el7

Comment 21 Fedora Update System 2015-03-28 18:39:12 UTC
opensips-1.10.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.